Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2518)

Issue 236490043: already existing ticket suggestions

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 4 months ago by vipul
Modified:
4 years, 3 months ago
Reviewers:
sksaurabhkathpalia, thomas.j.waldmann
Visibility:
Public.

Description

Ajax based duplicate ticket suggestions Used existing implementation of /+search view to implement Ajax based searching of ticket items. Used WIDGET_SEARCH widget in the summary input field, which acts as a search field for ticket items. Added code in search.js to filter only ticket items in the search result. ajaxsearch.html contains an if-else block to check whether it is ticket create(/+modify) view or /+search view. Therefore, the original code is re-indented and pushed into the else block so the diff for ajaxsearch.html looks a bit ugly.

Patch Set 1 #

Patch Set 2 : already existing ticket suggestions #

Total comments: 5

Patch Set 3 : already existing ticket suggestions: used existing summary field instead of new one and fixed issue… #

Total comments: 21

Patch Set 4 : merged some duplicate code #

Total comments: 8

Patch Set 5 : changed variable name #

Total comments: 2

Patch Set 6 : ajax now activates on change instead of pressing spacebar #

Total comments: 1

Patch Set 7 : fixed summary label in the UI #

Unified diffs Side-by-side diffs Delta from patch set Stats (+125 lines, -68 lines) Patch
M MoinMoin/apps/frontend/views.py View 1 2 3 4 2 chunks +4 lines, -1 line 0 comments Download
M MoinMoin/items/ticket.py View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
M MoinMoin/static/css/ticket.css View 1 2 1 chunk +5 lines, -0 lines 0 comments Download
M MoinMoin/static/js/search.js View 1 2 3 4 5 3 chunks +8 lines, -4 lines 0 comments Download
M MoinMoin/templates/ajaxsearch.html View 1 2 3 4 2 chunks +79 lines, -58 lines 0 comments Download
M MoinMoin/templates/ticket/base.html View 1 2 3 2 chunks +5 lines, -1 line 0 comments Download
M MoinMoin/templates/ticket/modify.html View 1 2 3 4 5 6 1 chunk +8 lines, -0 lines 0 comments Download
M MoinMoin/templates/ticket/submit.html View 1 2 3 4 5 6 1 chunk +13 lines, -1 line 0 comments Download

Messages

Total messages: 14
sksaurabhkathpalia
https://codereview.appspot.com/236490043/diff/20001/MoinMoin/items/ticket.py File MoinMoin/items/ticket.py (right): https://codereview.appspot.com/236490043/diff/20001/MoinMoin/items/ticket.py#newcode67 MoinMoin/items/ticket.py:67: summary = Text.using(label=L_("Summary"), optional=True).with_properties \ Why have you made ...
4 years, 4 months ago (2015-05-27 11:45:18 UTC) #1
sksaurabhkathpalia
https://codereview.appspot.com/236490043/diff/20001/MoinMoin/apps/frontend/views.py File MoinMoin/apps/frontend/views.py (right): https://codereview.appspot.com/236490043/diff/20001/MoinMoin/apps/frontend/views.py#newcode406 MoinMoin/apps/frontend/views.py:406: html = render_template('ticket_ajaxsearch.html', There is no file named ticket_ajaxsearch.html ...
4 years, 4 months ago (2015-05-27 12:24:24 UTC) #2
vipul
https://codereview.appspot.com/236490043/diff/20001/MoinMoin/apps/frontend/views.py File MoinMoin/apps/frontend/views.py (right): https://codereview.appspot.com/236490043/diff/20001/MoinMoin/apps/frontend/views.py#newcode406 MoinMoin/apps/frontend/views.py:406: html = render_template('ticket_ajaxsearch.html', sorry, it was a new file, ...
4 years, 4 months ago (2015-05-27 12:35:51 UTC) #3
vipul
4 years, 4 months ago (2015-05-28 14:51:33 UTC) #4
Thomas.J.Waldmann
https://codereview.appspot.com/236490043/diff/80001/MoinMoin/apps/frontend/views.py File MoinMoin/apps/frontend/views.py (right): https://codereview.appspot.com/236490043/diff/80001/MoinMoin/apps/frontend/views.py#newcode329 MoinMoin/apps/frontend/views.py:329: if request.args.get('itemtype') == ITEMTYPE_TICKET: there's a constant for the ...
4 years, 4 months ago (2015-05-29 06:57:51 UTC) #5
vipul
https://codereview.appspot.com/236490043/diff/80001/MoinMoin/apps/frontend/views.py File MoinMoin/apps/frontend/views.py (right): https://codereview.appspot.com/236490043/diff/80001/MoinMoin/apps/frontend/views.py#newcode329 MoinMoin/apps/frontend/views.py:329: if request.args.get('itemtype') == ITEMTYPE_TICKET: On 2015/05/29 06:57:50, Thomas.J.Waldmann wrote: ...
4 years, 4 months ago (2015-05-29 12:58:31 UTC) #6
vipul
Made changes as suggested in the previous CR. Please review the new patch set. https://codereview.appspot.com/236490043/diff/120001/MoinMoin/static/css/ticket.css ...
4 years, 4 months ago (2015-05-29 20:42:51 UTC) #7
Thomas.J.Waldmann
https://codereview.appspot.com/236490043/diff/80001/MoinMoin/static/css/ticket.css File MoinMoin/static/css/ticket.css (right): https://codereview.appspot.com/236490043/diff/80001/MoinMoin/static/css/ticket.css#newcode105 MoinMoin/static/css/ticket.css:105: } so is what you do special to tickets ...
4 years, 4 months ago (2015-06-01 20:40:25 UTC) #8
vipul
https://codereview.appspot.com/236490043/diff/120001/MoinMoin/templates/ajaxsearch.html File MoinMoin/templates/ajaxsearch.html (right): https://codereview.appspot.com/236490043/diff/120001/MoinMoin/templates/ajaxsearch.html#newcode93 MoinMoin/templates/ajaxsearch.html:93: {% endif %} On 2015/06/01 20:40:25, Thomas.J.Waldmann wrote: > ...
4 years, 4 months ago (2015-06-04 11:52:44 UTC) #9
sksaurabhkathpalia
https://codereview.appspot.com/236490043/diff/140001/MoinMoin/templates/ticket/submit.html File MoinMoin/templates/ticket/submit.html (right): https://codereview.appspot.com/236490043/diff/140001/MoinMoin/templates/ticket/submit.html#newcode21 MoinMoin/templates/ticket/submit.html:21: <div id="finalresults"> change id to "moin-ticket-finalresults"
4 years, 4 months ago (2015-06-17 10:02:12 UTC) #10
vipul
https://codereview.appspot.com/236490043/diff/140001/MoinMoin/templates/ticket/submit.html File MoinMoin/templates/ticket/submit.html (right): https://codereview.appspot.com/236490043/diff/140001/MoinMoin/templates/ticket/submit.html#newcode21 MoinMoin/templates/ticket/submit.html:21: <div id="finalresults"> On 2015/06/17 10:02:12, sksaurabhkathpalia wrote: > change ...
4 years, 4 months ago (2015-06-17 15:27:34 UTC) #11
sksaurabhkathpalia
On 2015/06/17 15:27:34, vipul wrote: > https://codereview.appspot.com/236490043/diff/140001/MoinMoin/templates/ticket/submit.html > File MoinMoin/templates/ticket/submit.html (right): > > https://codereview.appspot.com/236490043/diff/140001/MoinMoin/templates/ticket/submit.html#newcode21 > ...
4 years, 4 months ago (2015-06-18 05:27:43 UTC) #12
Thomas.J.Waldmann
looks ok, didn't run the code though. the long diff could not be reviewed because ...
4 years, 3 months ago (2015-06-23 15:52:46 UTC) #13
vipul
4 years, 3 months ago (2015-06-25 08:07:54 UTC) #14
fixed summary label in the UI
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b